package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdGoalsCalculateExpression;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface MdGoalsCalculateExpressionMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdGoalsCalculateExpression record);

    int insertSelective(MdGoalsCalculateExpression record);

    MdGoalsCalculateExpression selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdGoalsCalculateExpression record);

    int updateByPrimaryKey(MdGoalsCalculateExpression record);

    List<MdGoalsCalculateExpression> findByMasterId(Long masterId);

    List<MdGoalsCalculateExpression> findByMasterCodeAndIsActive(@Param("masterCode") String masterCode, @Param("isActive") Integer isActive);
}